Gentoo Archives: gentoo-commits

From: Craig Andrews <candrews@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocm-opencl-driver/
Date: Mon, 30 Sep 2019 15:23:23
Message-Id: 1569856119.6a7c75e50c03641450d26b91d6ed00e9b2ee68ae.candrews@gentoo
commit:     6a7c75e50c03641450d26b91d6ed00e9b2ee68ae
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 15:08:39 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 15:08:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a7c75e5

dev-libs/rocm-opencl-driver: 2.8.0 version bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-libs/rocm-opencl-driver/Manifest               |  1 +
 .../rocm-opencl-driver-2.8.0.ebuild                | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-libs/rocm-opencl-driver/Manifest b/dev-libs/rocm-opencl-driver/Manifest
index 3bc73da7109..36e3b9132bb 100644
--- a/dev-libs/rocm-opencl-driver/Manifest
+++ b/dev-libs/rocm-opencl-driver/Manifest
@@ -1,2 +1,3 @@
 DIST rocm-opencl-driver-2.6.0.tar.gz 21311 BLAKE2B f17219b577ccd58de052d5936953fd78588a0b042ce002853b10c05e6f6d433edcd90045c15dcd2f2c31ccef89f8b420ef756a1dd1613702efcc8868163878d1 SHA512 7b8bf646d9a36b09d75a0408301c2f1771daad95b8075b1671ca0c8b1f5826e8cd9de8935946858268dc89863a0ee054b4dde3040c84dd37e90f28c7ffa6e097
 DIST rocm-opencl-driver-2.7.0.tar.gz 21312 BLAKE2B 8c7233e8c5de2d92d0604a832475a474e5a171853f435908dbe73ab41d077f9f4c2d7069546b4e660d900c02cccf1f77d85d2fbe5ddb52fdde4c32d6c26910a2 SHA512 ee14bbbf502ffc00fd9e1e04224ae8109c8603d44438cddde8951c2d2caf5d45b94d39eb184af66462b4029759064aab0e2312b44fdd3f925064ebe6097ac49b
+DIST rocm-opencl-driver-2.8.0.tar.gz 21345 BLAKE2B 91ecfaf145cb4c9cc9407ca79d90fc480d25b0d2afd1b0ed7c5af7d970ed729255c7ca0a27a5729640d4ea42a2ce2450fdf5eb92aa124ad95340afea185dcf16 SHA512 d610f0e50714efa159440001a67ec7589fbd366fde953e9c789a737875dcd82a8c30fcefc3825467c1e5db7c53bcc26eb9658f2f71662acd5e021ef117ddf336

diff --git a/dev-libs/rocm-opencl-driver/rocm-opencl-driver-2.8.0.ebuild b/dev-libs/rocm-opencl-driver/rocm-opencl-driver-2.8.0.ebuild
new file mode 100644
index 00000000000..31cc476dd0d
--- /dev/null
+++ b/dev-libs/rocm-opencl-driver/rocm-opencl-driver-2.8.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Driver/"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Driver/archive/roc-${PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/ROCm-OpenCL-Driver-roc-${PV}"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Radeon Open Compute OpenCL Compiler Tool Driver"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Driver"
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="test"
+
+RDEPEND=">=sys-devel/llvm-roc-${PV}:=
+	>=dev-libs/rocr-runtime-${PV}"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-2.6.0-install-header.patch"
+	"${FILESDIR}/${PN}-2.7.0-libraries.patch"
+)
+
+src_prepare() {
+	# remove unittest, because it downloads additional file from github.com
+	sed -e "s:add_subdirectory(src/unittest):#add_subdirectory(src/unittest):" -i CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DLLVM_DIR="${EPREFIX}/usr/lib/llvm/roc/"
+		-DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr/"
+	)
+	cmake-utils_src_configure
+}